# Fn<> VertexDescriptor
Type of an object that represents a vertex descriptor.

Defined in | <seqan/basic.h>
Signature | `VertexDescriptor<T>::Type;`

## Template Parameters

`T` | The graph type to query.

## Return Values

`Type` | The resulting vertex descriptor type.

#### Dox Sources

    /*!
     * @mfn VertexDescriptor
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Type of an object that represents a vertex descriptor.
     *
     * @signature VertexDescriptor<T>::Type;
     *
     * @tparam T The graph type to query.
     *
     * @return Type The resulting vertex descriptor type.
     */